org.eclipse.oomph.p2.core

## Interface Profile

- All Superinterfaces:
    AgentElement, AgentManagerElement, IProfile, IQueryable<IInstallableUnit>

      public interface Profile
      extends IProfile, AgentElement

  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROP_PROFILE_DEFINITION`
    `static String` | `PROP_PROFILE_REFERENCER`
    `static String` | `PROP_PROFILE_TYPE`
    `static String` | `TYPE_INSTALLATION`

    - ### Fields inherited from interface org.eclipse.equinox.p2.engine.IProfile

      `LOCK_NONE, LOCK_UNINSTALL, LOCK_UPDATE, PROP_CACHE, PROP_CONFIGURATION_FOLDER, PROP_DESCRIPTION, PROP_ENVIRONMENTS, PROP_INSTALL_FEATURES, PROP_INSTALL_FOLDER, PROP_LAUNCHER_CONFIGURATION, PROP_NAME, PROP_NL, PROP_PROFILE_LOCKED_IU, PROP_PROFILE_ROOT_IU, PROP_ROAMING, PROP_SHARED_CACHE, PROP_STATS_PARAMETERS, STATE_PROP_HIDDEN, STATE_PROP_SHARED_INSTALL, STATE_PROP_TAG, STATE_SHARED_INSTALL_VALUE_BEFOREFLUSH, STATE_SHARED_INSTALL_VALUE_INITIAL, STATE_SHARED_INSTALL_VALUE_NEW`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProfileTransaction` | `change()`
    `BundlePool` | `getBundlePool()`
    `ProfileDefinition` | `getDefinition()`
    `File` | `getInstallFolder()`
    `String` | `getType()`

    - ### Methods inherited from interface org.eclipse.equinox.p2.engine.IProfile

      `available, getInstallableUnitProperties, getInstallableUnitProperty, getProfileId, getProperties, getProperty, getProvisioningAgent, getTimestamp`

    - ### Methods inherited from interface org.eclipse.equinox.p2.query.IQueryable

      `query`

    - ### Methods inherited from interface org.eclipse.oomph.p2.core.AgentElement

      `getAgent`

    - ### Methods inherited from interface org.eclipse.oomph.p2.core.AgentManagerElement

      `delete, delete, getAgentManager, getLocation, isCurrent, isUsed, isValid`

- - ### Field Detail

    - #### PROP_PROFILE_TYPE

          static final String PROP_PROFILE_TYPE

      See Also:
        Constant Field Values

    - #### PROP_PROFILE_DEFINITION

          static final String PROP_PROFILE_DEFINITION

      See Also:
        Constant Field Values

    - #### PROP_PROFILE_REFERENCER

          static final String PROP_PROFILE_REFERENCER

      See Also:
        Constant Field Values

    - #### TYPE_INSTALLATION

          static final String TYPE_INSTALLATION

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getType

          String getType()

    - #### getInstallFolder

          File getInstallFolder()

    - #### getBundlePool

          BundlePool getBundlePool()

    - #### getDefinition

          ProfileDefinition getDefinition()

    - #### change

          ProfileTransaction change()

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html